Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network232.0.0.0/9
Usable hosts8,388,606
Subnet mask255.128.0.0
Addresses8,388,608
Network address
232.0.0.0
Broadcast address
232.127.255.255
First usable
232.0.0.1
Last usable
232.127.255.254
Usable hosts
8,388,606 (8,388,608 less the network and broadcast addresses)
Subnet mask
255.128.0.0
Wildcard mask
0.127.255.255 (Cisco ACLs, OSPF)
Prefix length
/9
Type
Multicast 224.0.0.0/4
One-to-many traffic, such as IPTV and routing protocols
Old class
D (multicast)
As numbers
Hex E8000000 · Integer 3892314112 to 3900702719
Reverse DNS zones
0.232.in-addr.arpa
1.232.in-addr.arpa
2.232.in-addr.arpa
3.232.in-addr.arpa
4.232.in-addr.arpa
5.232.in-addr.arpa
6.232.in-addr.arpa
7.232.in-addr.arpa
8.232.in-addr.arpa
9.232.in-addr.arpa
10.232.in-addr.arpa
11.232.in-addr.arpa
12.232.in-addr.arpa
13.232.in-addr.arpa
14.232.in-addr.arpa
15.232.in-addr.arpa
and 112 more
/9 is not on a 8-bit boundary, so it takes 128 /16 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address11101000.00000000.00000000.00000000232.0.0.0
Subnet mask11111111.10000000.00000000.00000000255.128.0.0
Network11101000.00000000.00000000.00000000232.0.0.0
Broadcast11101000.01111111.11111111.11111111232.127.255.255
Split into smaller subnets/17

232.0.0.0/9 makes 256 subnets of /17.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1232.0.0.0/17232.0.0.1 to 232.0.127.254232.0.127.25532,766
2232.0.128.0/17232.0.128.1 to 232.0.255.254232.0.255.25532,766
3232.1.0.0/17232.1.0.1 to 232.1.127.254232.1.127.25532,766
4232.1.128.0/17232.1.128.1 to 232.1.255.254232.1.255.25532,766
5232.2.0.0/17232.2.0.1 to 232.2.127.254232.2.127.25532,766
6232.2.128.0/17232.2.128.1 to 232.2.255.254232.2.255.25532,766
7232.3.0.0/17232.3.0.1 to 232.3.127.254232.3.127.25532,766
8232.3.128.0/17232.3.128.1 to 232.3.255.254232.3.255.25532,766
9232.4.0.0/17232.4.0.1 to 232.4.127.254232.4.127.25532,766
10232.4.128.0/17232.4.128.1 to 232.4.255.254232.4.255.25532,766
11232.5.0.0/17232.5.0.1 to 232.5.127.254232.5.127.25532,766
12232.5.128.0/17232.5.128.1 to 232.5.255.254232.5.255.25532,766
13232.6.0.0/17232.6.0.1 to 232.6.127.254232.6.127.25532,766
14232.6.128.0/17232.6.128.1 to 232.6.255.254232.6.255.25532,766
15232.7.0.0/17232.7.0.1 to 232.7.127.254232.7.127.25532,766
16232.7.128.0/17232.7.128.1 to 232.7.255.254232.7.255.25532,766
17232.8.0.0/17232.8.0.1 to 232.8.127.254232.8.127.25532,766
18232.8.128.0/17232.8.128.1 to 232.8.255.254232.8.255.25532,766
19232.9.0.0/17232.9.0.1 to 232.9.127.254232.9.127.25532,766
20232.9.128.0/17232.9.128.1 to 232.9.255.254232.9.255.25532,766
21232.10.0.0/17232.10.0.1 to 232.10.127.254232.10.127.25532,766
22232.10.128.0/17232.10.128.1 to 232.10.255.254232.10.255.25532,766
23232.11.0.0/17232.11.0.1 to 232.11.127.254232.11.127.25532,766
24232.11.128.0/17232.11.128.1 to 232.11.255.254232.11.255.25532,766
25232.12.0.0/17232.12.0.1 to 232.12.127.254232.12.127.25532,766
26232.12.128.0/17232.12.128.1 to 232.12.255.254232.12.255.25532,766
27232.13.0.0/17232.13.0.1 to 232.13.127.254232.13.127.25532,766
28232.13.128.0/17232.13.128.1 to 232.13.255.254232.13.255.25532,766
29232.14.0.0/17232.14.0.1 to 232.14.127.254232.14.127.25532,766
30232.14.128.0/17232.14.128.1 to 232.14.255.254232.14.255.25532,766
31232.15.0.0/17232.15.0.1 to 232.15.127.254232.15.127.25532,766
32232.15.128.0/17232.15.128.1 to 232.15.255.254232.15.255.25532,766
33232.16.0.0/17232.16.0.1 to 232.16.127.254232.16.127.25532,766
34232.16.128.0/17232.16.128.1 to 232.16.255.254232.16.255.25532,766
35232.17.0.0/17232.17.0.1 to 232.17.127.254232.17.127.25532,766
36232.17.128.0/17232.17.128.1 to 232.17.255.254232.17.255.25532,766
37232.18.0.0/17232.18.0.1 to 232.18.127.254232.18.127.25532,766
38232.18.128.0/17232.18.128.1 to 232.18.255.254232.18.255.25532,766
39232.19.0.0/17232.19.0.1 to 232.19.127.254232.19.127.25532,766
40232.19.128.0/17232.19.128.1 to 232.19.255.254232.19.255.25532,766
41232.20.0.0/17232.20.0.1 to 232.20.127.254232.20.127.25532,766
42232.20.128.0/17232.20.128.1 to 232.20.255.254232.20.255.25532,766
43232.21.0.0/17232.21.0.1 to 232.21.127.254232.21.127.25532,766
44232.21.128.0/17232.21.128.1 to 232.21.255.254232.21.255.25532,766
45232.22.0.0/17232.22.0.1 to 232.22.127.254232.22.127.25532,766
46232.22.128.0/17232.22.128.1 to 232.22.255.254232.22.255.25532,766
47232.23.0.0/17232.23.0.1 to 232.23.127.254232.23.127.25532,766
48232.23.128.0/17232.23.128.1 to 232.23.255.254232.23.255.25532,766
49232.24.0.0/17232.24.0.1 to 232.24.127.254232.24.127.25532,766
50232.24.128.0/17232.24.128.1 to 232.24.255.254232.24.255.25532,766
51232.25.0.0/17232.25.0.1 to 232.25.127.254232.25.127.25532,766
52232.25.128.0/17232.25.128.1 to 232.25.255.254232.25.255.25532,766
53232.26.0.0/17232.26.0.1 to 232.26.127.254232.26.127.25532,766
54232.26.128.0/17232.26.128.1 to 232.26.255.254232.26.255.25532,766
55232.27.0.0/17232.27.0.1 to 232.27.127.254232.27.127.25532,766
56232.27.128.0/17232.27.128.1 to 232.27.255.254232.27.255.25532,766
57232.28.0.0/17232.28.0.1 to 232.28.127.254232.28.127.25532,766
58232.28.128.0/17232.28.128.1 to 232.28.255.254232.28.255.25532,766
59232.29.0.0/17232.29.0.1 to 232.29.127.254232.29.127.25532,766
60232.29.128.0/17232.29.128.1 to 232.29.255.254232.29.255.25532,766
61232.30.0.0/17232.30.0.1 to 232.30.127.254232.30.127.25532,766
62232.30.128.0/17232.30.128.1 to 232.30.255.254232.30.255.25532,766
63232.31.0.0/17232.31.0.1 to 232.31.127.254232.31.127.25532,766
64232.31.128.0/17232.31.128.1 to 232.31.255.254232.31.255.25532,766
65232.32.0.0/17232.32.0.1 to 232.32.127.254232.32.127.25532,766
66232.32.128.0/17232.32.128.1 to 232.32.255.254232.32.255.25532,766
67232.33.0.0/17232.33.0.1 to 232.33.127.254232.33.127.25532,766
68232.33.128.0/17232.33.128.1 to 232.33.255.254232.33.255.25532,766
69232.34.0.0/17232.34.0.1 to 232.34.127.254232.34.127.25532,766
70232.34.128.0/17232.34.128.1 to 232.34.255.254232.34.255.25532,766
71232.35.0.0/17232.35.0.1 to 232.35.127.254232.35.127.25532,766
72232.35.128.0/17232.35.128.1 to 232.35.255.254232.35.255.25532,766
73232.36.0.0/17232.36.0.1 to 232.36.127.254232.36.127.25532,766
74232.36.128.0/17232.36.128.1 to 232.36.255.254232.36.255.25532,766
75232.37.0.0/17232.37.0.1 to 232.37.127.254232.37.127.25532,766
76232.37.128.0/17232.37.128.1 to 232.37.255.254232.37.255.25532,766
77232.38.0.0/17232.38.0.1 to 232.38.127.254232.38.127.25532,766
78232.38.128.0/17232.38.128.1 to 232.38.255.254232.38.255.25532,766
79232.39.0.0/17232.39.0.1 to 232.39.127.254232.39.127.25532,766
80232.39.128.0/17232.39.128.1 to 232.39.255.254232.39.255.25532,766
81232.40.0.0/17232.40.0.1 to 232.40.127.254232.40.127.25532,766
82232.40.128.0/17232.40.128.1 to 232.40.255.254232.40.255.25532,766
83232.41.0.0/17232.41.0.1 to 232.41.127.254232.41.127.25532,766
84232.41.128.0/17232.41.128.1 to 232.41.255.254232.41.255.25532,766
85232.42.0.0/17232.42.0.1 to 232.42.127.254232.42.127.25532,766
86232.42.128.0/17232.42.128.1 to 232.42.255.254232.42.255.25532,766
87232.43.0.0/17232.43.0.1 to 232.43.127.254232.43.127.25532,766
88232.43.128.0/17232.43.128.1 to 232.43.255.254232.43.255.25532,766
89232.44.0.0/17232.44.0.1 to 232.44.127.254232.44.127.25532,766
90232.44.128.0/17232.44.128.1 to 232.44.255.254232.44.255.25532,766
91232.45.0.0/17232.45.0.1 to 232.45.127.254232.45.127.25532,766
92232.45.128.0/17232.45.128.1 to 232.45.255.254232.45.255.25532,766
93232.46.0.0/17232.46.0.1 to 232.46.127.254232.46.127.25532,766
94232.46.128.0/17232.46.128.1 to 232.46.255.254232.46.255.25532,766
95232.47.0.0/17232.47.0.1 to 232.47.127.254232.47.127.25532,766
96232.47.128.0/17232.47.128.1 to 232.47.255.254232.47.255.25532,766
97232.48.0.0/17232.48.0.1 to 232.48.127.254232.48.127.25532,766
98232.48.128.0/17232.48.128.1 to 232.48.255.254232.48.255.25532,766
99232.49.0.0/17232.49.0.1 to 232.49.127.254232.49.127.25532,766
100232.49.128.0/17232.49.128.1 to 232.49.255.254232.49.255.25532,766
101232.50.0.0/17232.50.0.1 to 232.50.127.254232.50.127.25532,766
102232.50.128.0/17232.50.128.1 to 232.50.255.254232.50.255.25532,766
103232.51.0.0/17232.51.0.1 to 232.51.127.254232.51.127.25532,766
104232.51.128.0/17232.51.128.1 to 232.51.255.254232.51.255.25532,766
105232.52.0.0/17232.52.0.1 to 232.52.127.254232.52.127.25532,766
106232.52.128.0/17232.52.128.1 to 232.52.255.254232.52.255.25532,766
107232.53.0.0/17232.53.0.1 to 232.53.127.254232.53.127.25532,766
108232.53.128.0/17232.53.128.1 to 232.53.255.254232.53.255.25532,766
109232.54.0.0/17232.54.0.1 to 232.54.127.254232.54.127.25532,766
110232.54.128.0/17232.54.128.1 to 232.54.255.254232.54.255.25532,766
111232.55.0.0/17232.55.0.1 to 232.55.127.254232.55.127.25532,766
112232.55.128.0/17232.55.128.1 to 232.55.255.254232.55.255.25532,766
113232.56.0.0/17232.56.0.1 to 232.56.127.254232.56.127.25532,766
114232.56.128.0/17232.56.128.1 to 232.56.255.254232.56.255.25532,766
115232.57.0.0/17232.57.0.1 to 232.57.127.254232.57.127.25532,766
116232.57.128.0/17232.57.128.1 to 232.57.255.254232.57.255.25532,766
117232.58.0.0/17232.58.0.1 to 232.58.127.254232.58.127.25532,766
118232.58.128.0/17232.58.128.1 to 232.58.255.254232.58.255.25532,766
119232.59.0.0/17232.59.0.1 to 232.59.127.254232.59.127.25532,766
120232.59.128.0/17232.59.128.1 to 232.59.255.254232.59.255.25532,766
121232.60.0.0/17232.60.0.1 to 232.60.127.254232.60.127.25532,766
122232.60.128.0/17232.60.128.1 to 232.60.255.254232.60.255.25532,766
123232.61.0.0/17232.61.0.1 to 232.61.127.254232.61.127.25532,766
124232.61.128.0/17232.61.128.1 to 232.61.255.254232.61.255.25532,766
125232.62.0.0/17232.62.0.1 to 232.62.127.254232.62.127.25532,766
126232.62.128.0/17232.62.128.1 to 232.62.255.254232.62.255.25532,766
127232.63.0.0/17232.63.0.1 to 232.63.127.254232.63.127.25532,766
128232.63.128.0/17232.63.128.1 to 232.63.255.254232.63.255.25532,766
129232.64.0.0/17232.64.0.1 to 232.64.127.254232.64.127.25532,766
130232.64.128.0/17232.64.128.1 to 232.64.255.254232.64.255.25532,766
131232.65.0.0/17232.65.0.1 to 232.65.127.254232.65.127.25532,766
132232.65.128.0/17232.65.128.1 to 232.65.255.254232.65.255.25532,766
133232.66.0.0/17232.66.0.1 to 232.66.127.254232.66.127.25532,766
134232.66.128.0/17232.66.128.1 to 232.66.255.254232.66.255.25532,766
135232.67.0.0/17232.67.0.1 to 232.67.127.254232.67.127.25532,766
136232.67.128.0/17232.67.128.1 to 232.67.255.254232.67.255.25532,766
137232.68.0.0/17232.68.0.1 to 232.68.127.254232.68.127.25532,766
138232.68.128.0/17232.68.128.1 to 232.68.255.254232.68.255.25532,766
139232.69.0.0/17232.69.0.1 to 232.69.127.254232.69.127.25532,766
140232.69.128.0/17232.69.128.1 to 232.69.255.254232.69.255.25532,766
141232.70.0.0/17232.70.0.1 to 232.70.127.254232.70.127.25532,766
142232.70.128.0/17232.70.128.1 to 232.70.255.254232.70.255.25532,766
143232.71.0.0/17232.71.0.1 to 232.71.127.254232.71.127.25532,766
144232.71.128.0/17232.71.128.1 to 232.71.255.254232.71.255.25532,766
145232.72.0.0/17232.72.0.1 to 232.72.127.254232.72.127.25532,766
146232.72.128.0/17232.72.128.1 to 232.72.255.254232.72.255.25532,766
147232.73.0.0/17232.73.0.1 to 232.73.127.254232.73.127.25532,766
148232.73.128.0/17232.73.128.1 to 232.73.255.254232.73.255.25532,766
149232.74.0.0/17232.74.0.1 to 232.74.127.254232.74.127.25532,766
150232.74.128.0/17232.74.128.1 to 232.74.255.254232.74.255.25532,766
151232.75.0.0/17232.75.0.1 to 232.75.127.254232.75.127.25532,766
152232.75.128.0/17232.75.128.1 to 232.75.255.254232.75.255.25532,766
153232.76.0.0/17232.76.0.1 to 232.76.127.254232.76.127.25532,766
154232.76.128.0/17232.76.128.1 to 232.76.255.254232.76.255.25532,766
155232.77.0.0/17232.77.0.1 to 232.77.127.254232.77.127.25532,766
156232.77.128.0/17232.77.128.1 to 232.77.255.254232.77.255.25532,766
157232.78.0.0/17232.78.0.1 to 232.78.127.254232.78.127.25532,766
158232.78.128.0/17232.78.128.1 to 232.78.255.254232.78.255.25532,766
159232.79.0.0/17232.79.0.1 to 232.79.127.254232.79.127.25532,766
160232.79.128.0/17232.79.128.1 to 232.79.255.254232.79.255.25532,766
161232.80.0.0/17232.80.0.1 to 232.80.127.254232.80.127.25532,766
162232.80.128.0/17232.80.128.1 to 232.80.255.254232.80.255.25532,766
163232.81.0.0/17232.81.0.1 to 232.81.127.254232.81.127.25532,766
164232.81.128.0/17232.81.128.1 to 232.81.255.254232.81.255.25532,766
165232.82.0.0/17232.82.0.1 to 232.82.127.254232.82.127.25532,766
166232.82.128.0/17232.82.128.1 to 232.82.255.254232.82.255.25532,766
167232.83.0.0/17232.83.0.1 to 232.83.127.254232.83.127.25532,766
168232.83.128.0/17232.83.128.1 to 232.83.255.254232.83.255.25532,766
169232.84.0.0/17232.84.0.1 to 232.84.127.254232.84.127.25532,766
170232.84.128.0/17232.84.128.1 to 232.84.255.254232.84.255.25532,766
171232.85.0.0/17232.85.0.1 to 232.85.127.254232.85.127.25532,766
172232.85.128.0/17232.85.128.1 to 232.85.255.254232.85.255.25532,766
173232.86.0.0/17232.86.0.1 to 232.86.127.254232.86.127.25532,766
174232.86.128.0/17232.86.128.1 to 232.86.255.254232.86.255.25532,766
175232.87.0.0/17232.87.0.1 to 232.87.127.254232.87.127.25532,766
176232.87.128.0/17232.87.128.1 to 232.87.255.254232.87.255.25532,766
177232.88.0.0/17232.88.0.1 to 232.88.127.254232.88.127.25532,766
178232.88.128.0/17232.88.128.1 to 232.88.255.254232.88.255.25532,766
179232.89.0.0/17232.89.0.1 to 232.89.127.254232.89.127.25532,766
180232.89.128.0/17232.89.128.1 to 232.89.255.254232.89.255.25532,766
181232.90.0.0/17232.90.0.1 to 232.90.127.254232.90.127.25532,766
182232.90.128.0/17232.90.128.1 to 232.90.255.254232.90.255.25532,766
183232.91.0.0/17232.91.0.1 to 232.91.127.254232.91.127.25532,766
184232.91.128.0/17232.91.128.1 to 232.91.255.254232.91.255.25532,766
185232.92.0.0/17232.92.0.1 to 232.92.127.254232.92.127.25532,766
186232.92.128.0/17232.92.128.1 to 232.92.255.254232.92.255.25532,766
187232.93.0.0/17232.93.0.1 to 232.93.127.254232.93.127.25532,766
188232.93.128.0/17232.93.128.1 to 232.93.255.254232.93.255.25532,766
189232.94.0.0/17232.94.0.1 to 232.94.127.254232.94.127.25532,766
190232.94.128.0/17232.94.128.1 to 232.94.255.254232.94.255.25532,766
191232.95.0.0/17232.95.0.1 to 232.95.127.254232.95.127.25532,766
192232.95.128.0/17232.95.128.1 to 232.95.255.254232.95.255.25532,766
193232.96.0.0/17232.96.0.1 to 232.96.127.254232.96.127.25532,766
194232.96.128.0/17232.96.128.1 to 232.96.255.254232.96.255.25532,766
195232.97.0.0/17232.97.0.1 to 232.97.127.254232.97.127.25532,766
196232.97.128.0/17232.97.128.1 to 232.97.255.254232.97.255.25532,766
197232.98.0.0/17232.98.0.1 to 232.98.127.254232.98.127.25532,766
198232.98.128.0/17232.98.128.1 to 232.98.255.254232.98.255.25532,766
199232.99.0.0/17232.99.0.1 to 232.99.127.254232.99.127.25532,766
200232.99.128.0/17232.99.128.1 to 232.99.255.254232.99.255.25532,766
201232.100.0.0/17232.100.0.1 to 232.100.127.254232.100.127.25532,766
202232.100.128.0/17232.100.128.1 to 232.100.255.254232.100.255.25532,766
203232.101.0.0/17232.101.0.1 to 232.101.127.254232.101.127.25532,766
204232.101.128.0/17232.101.128.1 to 232.101.255.254232.101.255.25532,766
205232.102.0.0/17232.102.0.1 to 232.102.127.254232.102.127.25532,766
206232.102.128.0/17232.102.128.1 to 232.102.255.254232.102.255.25532,766
207232.103.0.0/17232.103.0.1 to 232.103.127.254232.103.127.25532,766
208232.103.128.0/17232.103.128.1 to 232.103.255.254232.103.255.25532,766
209232.104.0.0/17232.104.0.1 to 232.104.127.254232.104.127.25532,766
210232.104.128.0/17232.104.128.1 to 232.104.255.254232.104.255.25532,766
211232.105.0.0/17232.105.0.1 to 232.105.127.254232.105.127.25532,766
212232.105.128.0/17232.105.128.1 to 232.105.255.254232.105.255.25532,766
213232.106.0.0/17232.106.0.1 to 232.106.127.254232.106.127.25532,766
214232.106.128.0/17232.106.128.1 to 232.106.255.254232.106.255.25532,766
215232.107.0.0/17232.107.0.1 to 232.107.127.254232.107.127.25532,766
216232.107.128.0/17232.107.128.1 to 232.107.255.254232.107.255.25532,766
217232.108.0.0/17232.108.0.1 to 232.108.127.254232.108.127.25532,766
218232.108.128.0/17232.108.128.1 to 232.108.255.254232.108.255.25532,766
219232.109.0.0/17232.109.0.1 to 232.109.127.254232.109.127.25532,766
220232.109.128.0/17232.109.128.1 to 232.109.255.254232.109.255.25532,766
221232.110.0.0/17232.110.0.1 to 232.110.127.254232.110.127.25532,766
222232.110.128.0/17232.110.128.1 to 232.110.255.254232.110.255.25532,766
223232.111.0.0/17232.111.0.1 to 232.111.127.254232.111.127.25532,766
224232.111.128.0/17232.111.128.1 to 232.111.255.254232.111.255.25532,766
225232.112.0.0/17232.112.0.1 to 232.112.127.254232.112.127.25532,766
226232.112.128.0/17232.112.128.1 to 232.112.255.254232.112.255.25532,766
227232.113.0.0/17232.113.0.1 to 232.113.127.254232.113.127.25532,766
228232.113.128.0/17232.113.128.1 to 232.113.255.254232.113.255.25532,766
229232.114.0.0/17232.114.0.1 to 232.114.127.254232.114.127.25532,766
230232.114.128.0/17232.114.128.1 to 232.114.255.254232.114.255.25532,766
231232.115.0.0/17232.115.0.1 to 232.115.127.254232.115.127.25532,766
232232.115.128.0/17232.115.128.1 to 232.115.255.254232.115.255.25532,766
233232.116.0.0/17232.116.0.1 to 232.116.127.254232.116.127.25532,766
234232.116.128.0/17232.116.128.1 to 232.116.255.254232.116.255.25532,766
235232.117.0.0/17232.117.0.1 to 232.117.127.254232.117.127.25532,766
236232.117.128.0/17232.117.128.1 to 232.117.255.254232.117.255.25532,766
237232.118.0.0/17232.118.0.1 to 232.118.127.254232.118.127.25532,766
238232.118.128.0/17232.118.128.1 to 232.118.255.254232.118.255.25532,766
239232.119.0.0/17232.119.0.1 to 232.119.127.254232.119.127.25532,766
240232.119.128.0/17232.119.128.1 to 232.119.255.254232.119.255.25532,766
241232.120.0.0/17232.120.0.1 to 232.120.127.254232.120.127.25532,766
242232.120.128.0/17232.120.128.1 to 232.120.255.254232.120.255.25532,766
243232.121.0.0/17232.121.0.1 to 232.121.127.254232.121.127.25532,766
244232.121.128.0/17232.121.128.1 to 232.121.255.254232.121.255.25532,766
245232.122.0.0/17232.122.0.1 to 232.122.127.254232.122.127.25532,766
246232.122.128.0/17232.122.128.1 to 232.122.255.254232.122.255.25532,766
247232.123.0.0/17232.123.0.1 to 232.123.127.254232.123.127.25532,766
248232.123.128.0/17232.123.128.1 to 232.123.255.254232.123.255.25532,766
249232.124.0.0/17232.124.0.1 to 232.124.127.254232.124.127.25532,766
250232.124.128.0/17232.124.128.1 to 232.124.255.254232.124.255.25532,766
251232.125.0.0/17232.125.0.1 to 232.125.127.254232.125.127.25532,766
252232.125.128.0/17232.125.128.1 to 232.125.255.254232.125.255.25532,766
253232.126.0.0/17232.126.0.1 to 232.126.127.254232.126.127.25532,766
254232.126.128.0/17232.126.128.1 to 232.126.255.254232.126.255.25532,766
255232.127.0.0/17232.127.0.1 to 232.127.127.254232.127.127.25532,766
256232.127.128.0/17232.127.128.1 to 232.127.255.254232.127.255.25532,766

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses